net.minecraftforge.fluids

## Class FluidContainerRegistry.FluidContainerData

- java.lang.Object
- - net.minecraftforge.fluids.FluidContainerRegistry.FluidContainerData

- Enclosing class:
    FluidContainerRegistry

      public static class FluidContainerRegistry.FluidContainerData
      extends Object

  Wrapper class for the registry entries. Ensures that none of the attempted registrations contain null references unless permitted.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ItemStack` | `emptyContainer`
    `ItemStack` | `filledContainer`
    `FluidStack` | `fluid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FluidContainerRegistry.FluidContainerData(FluidStack stack, ItemStack filledContainer, ItemStack emptyContainer)`
    `FluidContainerRegistry.FluidContainerData(FluidStack stack, ItemStack filledContainer, ItemStack emptyContainer, boolean nullEmpty)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FluidContainerRegistry.FluidContainerData` | `copy()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fluid

          public final FluidStack fluid

    - #### filledContainer

          public final ItemStack filledContainer

    - #### emptyContainer

          public final ItemStack emptyContainer

  - ### Constructor Detail

    - #### FluidContainerRegistry.FluidContainerData

          public FluidContainerRegistry.FluidContainerData(FluidStack stack,
                                                   ItemStack filledContainer,
                                                   ItemStack emptyContainer)

    - #### FluidContainerRegistry.FluidContainerData

          public FluidContainerRegistry.FluidContainerData(FluidStack stack,
                                                   ItemStack filledContainer,
                                                   ItemStack emptyContainer,
                                                   boolean nullEmpty)

  - ### Method Detail

    - #### copy

          public FluidContainerRegistry.FluidContainerData copy()